Redmine - Defect #42259

Problems with upgrading redmine from version 4.2.1 to 5.0.3
2025-02-13 09:28 - zhang junquan

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: Estimated time: 0.00 hour
Target version:

Resolution: Invalid Affected version:

Description

As the topic, the way | did it was to directly download the new 5.0.3 version of redmine, and then export and import the data from the
8.0.34 version of mysql database in the 4.2.1 version of redmine into 10.4.24-MariaDB using phpmyAdmin, and there was no
problem with this import/export process, | was able to migrate the data in the tables through the This import/export process is fine,
and | observed through phpmyadmin that the data in the table was migrated successfully. However, when | logged into the new
version of redmine, the page reported an error. The approximate error is a method not found, but | found the source code and the
method does exist. Is there a better way to upgrade redmine from 4.2.1 to 5.0.3?

Installation package for version 5.0.3

# bitnami-redmine-5.0.3-0-windows-x84-installer
New version of the database
o [EFETTeE 0 - 047 (3¢ 1 {7, sl 0.0002 &, )

SELECT VEREION( -

iR [ SEEr ] [ 522 ] [ BT SOL ] [ 815k PHP {258 ] [ B ]

BT | T 25 W =T | EETET
Bham
VERSION() i FEiredminefitin

10.4.25-MarialB

Import Success Screen in New Version of phpmyadmin
Error when logging in successfully
v wk 127.0.0.1 / localhost f bitnarr X le Redmine 300 srrar ® +

&« c @ http:;//localhost/redmine/login

Internal error

An error eccurred on the page you were trying to access.
If you continue to experience problems please contact your Redmine administrator for assistance.

If you are the Redmine administrator, check your log files for details about the error.

Back

Error Log

7 production.log - itE4 - O X
l, [2025-02-13T16:22:49.861818 #1000] INFO -- : [7cce935b-9fda-4604-805f-32a60af53d6b] Started POST "/redmine/login” for =1 at 2025-02  ~
-13 16:22:49 +0800

l, [2025-02-13T16:22:49.863508 #1000] INFO -- : [7cce935b-9fda-4604-805f-32a60af53d6b] Processing by AccountController#login as HTML

l, [2025-02-13T16:22:49.863916 #1000] INFO -- : [7cce935b-9fda-4604-805f-32a60af53d6b] Parameters: {"utf8"=>"v",

"authenticity token"=>"8kx+m5dDTPQG7I6KtUOappK3JarhHGQndOFPO1JtkUQF 10JR4ZLwkzR4RaPEu5LbzdhGATrNpX2qSLIq93f/6Q==",
"back_url"==>"/redmine/", "username”=:"zjq", "password"==>"[FILTERED]", "login"=>"&&"}

l, [2025-02-13T16:22:49.868836 #1000] INFO -- : [7cce935b-9fda-4604-805f-32a60af53d6b] Current user: anonymous

l, [2025-02-13T16:22:49.874255 #1000] INFO -- : [7cce935b-9fda-4604-805f-32a60af53d6b] Successful authentication for 'zjq' from 21 at
2025-02-13 08:22:49 UTC

l, [2025-02-13T16:22:49.944731 #1000] INFO -- : [7cce935b-9fda-4604-805f-32a60af53d6b] Completed 500 Internal Server Error in 80ms
(ActiveRecord: 7.0ms | Allocations: 5934)

F, [2025-02-13T16:22:49.946103 #1000] FATAL -- : [7cce935b-9fda-4604-805f-32a60af53d6b]
[Tcce935b-9fda-4604-8051-32a60af53deb] NoMethodError (undefined method “twofa_required?’ for #<Group:0x0000024dd2f57720=
Oid you mean? twofa scheme?):
[7cce935b-9fda-4604-805f-32a60af53d6b]
[7cce935b-9fda-4604-805f-32a60af53d6b] app/models/user.rb:391:in "must_activate_twofa?'
[7cce935b-9fda-4604-805f-32a60af53d6b] app/controllers/application_controller.rb:95:in “start_user_session’
[7cce935b-9fda-4604-805f-32a60af53d6b] app/controllers/application_controller.rb:186:in “logged user='
[7cce935b-9fda-4604-805f-32a60af53d6b] app/controllers/account_controller.rb:333:in “successful_authentication’
[7cce935b-9fda-4604-805f-32a60af53deb] app/controllers/account_controller.rb:326:in “handle_active user’
[7cce935b-9fda-4604-805f-32a60af53deb] app/controllers/account_controller.rb:317:in “password_authentication’
[7cce935b-9fda-4604-805f-32a60af53d6b] app/controllers/account_controller.rb:296:in “authenticate_user'
[7cce935b-9fda-4604-805f-32a60af53d6b] app/controllers/account_controller.rb:33:in “login’
[7cce935b-9fda-4604-805f-32a60af53deb] lib/redmine/sudo_mode.rb:61:in "sudo_mode’

E7601T, ENA 100%  Unix (LF) UTF-8

Troubleshooting source code
> twofa_required
twofa_active?

.twofa_required?
def pref
.preference ||= U
INFO : Completed Internal
History

#1 - 2025-02-14 15:02 - Holger Just
- Status changed from New to Closed

- Resolution set to Invalid

When upgrading Redmine, you also have to run database migrations. See RedmineUpgrade.
